#!/bin/sh

#-----[ usage ]---------------------------------------------
function usage ()
{
    echo "Usage     : ${0}";
    echo "Note      :";
    echo " * Morpheo's environnement must be positionned.";
    exit;
}

#-----[ main ]----------------------------------------------
function main ()
{
    if test ${#} -ne 0 -o -z ${MORPHEO_HOME}; then
	usage ${*};
    fi;

    # create directories
    mkdir ${MORPHEO_HOME};
    mkdir ${MORPHEO_HOME}/lock; # lock      directory
    mkdir ${MORPHEO_HOME}/tmp;  # temporary directory
}

#-----[ Body ]----------------------------------------------
main ${*}
